<?php php_track_vars?>
<?php

include "includes/config.inc";
include "includes/php-dbi.inc";
include "includes/functions.inc";
include "includes/validate.inc";
include "includes/connect.inc";

load_user_preferences ();
load_user_layers ();

// First, check to see if this user should be able to delete this event.
if ( $id > 0 ) {
  // first see who has access to edit this entry
  if ( $is_admin ) {
    $can_edit = true;
  } else if ( $readonly ) {
    $can_edit = false;
  } else {
    $can_edit = false;
    $sql = "SELECT cal_id FROM webcal_entry_user " .
      "WHERE cal_login = '$login' AND cal_id = $id";
    $res = dbi_query ( $sql );
    if ( $res ) {
      $row = dbi_fetch_row ( $res );
      if ( $row && $row[0] > 0 )
        $can_edit = true;
      dbi_free_result ( $res );
    }
  }
}

if ( ! $can_edit ) {
  $error = translate ( "You are not authorized" );
}

if ( $id > 0 && strlen ( $error ) == 0 ) {
  $res = dbi_query ( "SELECT cal_date FROM webcal_entry WHERE cal_id = $id" );
  if ( $res ) {
    // date format is 19991231
    $row = dbi_fetch_row ( $res );
    $thisdate = $row[0];
  }
  dbi_query ( "DELETE FROM webcal_entry WHERE cal_id = $id" );
  dbi_query ( "DELETE FROM webcal_entry_user WHERE cal_id = $id" );
  dbi_query ( "DELETE FROM webcal_entry_repeats WHERE cal_id = $id" );
}

if ( strlen ( $error ) == 0 ) {
  do_redirect ( "$STARTVIEW.php" .
    ( $thisdate > 0 ? "?date=$thisdate" : "" ) );
  exit;
}
?>
<HTML>
<HEAD><TITLE><?php etranslate("Title")?></TITLE>
<?php include "includes/styles.inc"; ?>
</HEAD>
<BODY BGCOLOR="<?php echo $BGCOLOR; ?>">

<H2><FONT COLOR="<?php echo $H2COLOR;?>"><?php etranslate("Error")?></H2></FONT>
<BLOCKQUOTE>
<?php echo $error; ?>
</BLOCKQUOTE>

<?php } ?>


<?php include "includes/trailer.inc"; ?>

</BODY>
</HTML>
